aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.ci/api-python.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/.ci/api-python.sh b/.ci/api-python.sh
index 093f6b7166..81106b44dc 100644
--- a/.ci/api-python.sh
+++ b/.ci/api-python.sh
@@ -10,10 +10,23 @@ git clone --depth=1 -b master git://github.com/neovim/python-client
cd python-client
sudo pip install .
sudo pip install nose
-test_cmd="nosetests --verbosity=2"
+# We run the tests twice:
+# - First by connecting with an nvim instance spawned by "expect"
+# - Second by starting nvim in embedded mode through the python client
+# This is required until nvim is mature enough to always run in embedded mode
+test_cmd="nosetests --verbosity=2 --nologcapture"
nvim_cmd="valgrind -q --track-origins=yes --leak-check=yes --suppressions=$suppressions --log-file=$tmpdir/valgrind-%p.log ../build/bin/nvim -u NONE"
if ! ../scripts/run-api-tests.exp "$test_cmd" "$nvim_cmd"; then
valgrind_check "$tmpdir"
exit 1
fi
+
+valgrind_check "$tmpdir"
+
+export NEOVIM_SPAWN_ARGV="[\"valgrind\", \"-q\", \"--track-origins=yes\", \"--leak-check=yes\", \"--suppressions=$suppressions\", \"--log-file=$tmpdir/valgrind-%p.log\", \"../build/bin/nvim\", \"-u\", \"NONE\", \"--embedded-mode\"]"
+if ! nosetests --verbosity=2 --nologcapture; then
+ valgrind_check "$tmpdir"
+ exit 1
+fi
+
valgrind_check "$tmpdir"